| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Data Fields | Friends
Fling::MeshRenderer Class Reference

`#include <MeshRenderer.h>`

## Public Member Functions
| MeshRenderer ()=default
| MeshRenderer (const std::string &t_MeshPath)
| Load a mesh renderer with the default material. More...
| MeshRenderer (const std::string &t_MeshPath, const std::string &t_MaterialPath)
| MeshRenderer (Model *t_Model, Material *t_Mat=nullptr)
| ~MeshRenderer ()
void | Release ()
bool | operator== (const MeshRenderer &other) const
bool | operator!= (const MeshRenderer &other) const
template<class Archive >
void | save (Archive &t_Archive) const
| Serialization to an Archive. More...
template<class Archive >
void | load (Archive &t_Archive)
void | LoadModelFromPath (const std::string t_MeshPath)
void | LoadMaterialFromPath (const std::string t_MatPath)

## Data Fields
Model * | m_Model = nullptr
| Pointer to the actual model. More...
Material * | m_Material = nullptr
| Pointer to the material that this mesh renderer uses. More...
Buffer * | m_UniformBuffer = nullptr
| We need a uniform buffer per-swap chain image. More...
VkDescriptorSet | m_DescriptorSet = VK_NULL_HANDLE

## Friends
class | Renderer

## Constructor & Destructor Documentation

## ◆ MeshRenderer() [1/4]

Fling::MeshRenderer::MeshRenderer | ( |  | ) |
| default

Default constructor.

## ◆ MeshRenderer() [2/4]

Fling::MeshRenderer::MeshRenderer | ( | const std::string & | t_MeshPath | ) |

Load a mesh renderer with the default material.

## ◆ MeshRenderer() [3/4]

Fling::MeshRenderer::MeshRenderer | ( | const std::string & | t_MeshPath,
|  | const std::string & | t_MaterialPath
| ) |  |

## ◆ MeshRenderer() [4/4]

Fling::MeshRenderer::MeshRenderer | ( | Model * | t_Model,
|  | Material * | t_Mat = `nullptr`
| ) |  |

## ◆ ~MeshRenderer()

Fling::MeshRenderer::~MeshRenderer | ( |  | ) |

## Member Function Documentation

## ◆ load()

template<class Archive >

void Fling::MeshRenderer::load | ( | Archive & | t_Archive | ) |
| inline

## ◆ LoadMaterialFromPath()

void Fling::MeshRenderer::LoadMaterialFromPath | ( | const std::string | t_MatPath | ) |

## ◆ LoadModelFromPath()

void Fling::MeshRenderer::LoadModelFromPath | ( | const std::string | t_MeshPath | ) |

## ◆ operator!=()

bool Fling::MeshRenderer::operator!= | ( | const MeshRenderer & | other | ) | const

## ◆ operator==()

bool Fling::MeshRenderer::operator== | ( | const MeshRenderer & | other | ) | const

## ◆ Release()

void Fling::MeshRenderer::Release | ( |  | ) |

## ◆ save()

template<class Archive >

void Fling::MeshRenderer::save | ( | Archive & | t_Archive | ) | const
| inline

Serialization to an Archive.

## Friends And Related Function Documentation

## ◆ Renderer

friend class Renderer
| friend

## Field Documentation

## ◆ m_DescriptorSet

VkDescriptorSet Fling::MeshRenderer::m_DescriptorSet = VK_NULL_HANDLE

## ◆ m_Material

Material* Fling::MeshRenderer::m_Material = nullptr

Pointer to the material that this mesh renderer uses.

## ◆ m_Model

Model* Fling::MeshRenderer::m_Model = nullptr

Pointer to the actual model.

## ◆ m_UniformBuffer

Buffer* Fling::MeshRenderer::m_UniformBuffer = nullptr

We need a uniform buffer per-swap chain image.

The documentation for this class was generated from the following files:

- FlingEngine/Graphics/inc/MeshRenderer.h
- FlingEngine/Graphics/src/MeshRenderer.cpp